summaryrefslogtreecommitdiff
path: root/usr.bin/lorder
diff options
context:
space:
mode:
authorTheo de Raadt <deraadt@cvs.openbsd.org>1998-09-02 06:40:09 +0000
committerTheo de Raadt <deraadt@cvs.openbsd.org>1998-09-02 06:40:09 +0000
commit67e005471da6102f6302774a602bbaabff53323e (patch)
tree953f805a24cf2c463cd9b2503703aa86457b7a16 /usr.bin/lorder
parent5a70c6335bcb9f588fabd48ebcc4a733f56b6cb1 (diff)
if trapped, kill self in same way
Diffstat (limited to 'usr.bin/lorder')
-rw-r--r--usr.bin/lorder/lorder.sh4
-rw-r--r--usr.bin/lorder/lorder.sh.gnm4
2 files changed, 4 insertions, 4 deletions
diff --git a/usr.bin/lorder/lorder.sh b/usr.bin/lorder/lorder.sh
index 0e081e58498..7a979eba2b9 100644
--- a/usr.bin/lorder/lorder.sh
+++ b/usr.bin/lorder/lorder.sh
@@ -1,5 +1,5 @@
#!/bin/sh -
-# $OpenBSD: lorder.sh,v 1.7 1997/01/25 21:16:44 deraadt Exp $
+# $OpenBSD: lorder.sh,v 1.8 1998/09/02 06:40:08 deraadt Exp $
# $NetBSD: lorder.sh,v 1.3 1995/04/24 07:38:52 cgd Exp $
#
# Copyright (c) 1990, 1993
@@ -60,7 +60,7 @@ fi
umask $um
# remove temporary files on HUP, INT, QUIT, PIPE, TERM
-trap "rm -rf $TDIR; exit 1" 1 2 3 13 15
+trap "rm -rf $TDIR; trap 2 ; kill -2 $$" 1 2 3 13 15
# if the line ends in a colon, assume it's the first occurrence of a new
# object file. Echo it twice, just to make sure it gets into the output.
diff --git a/usr.bin/lorder/lorder.sh.gnm b/usr.bin/lorder/lorder.sh.gnm
index f2a212da1f8..72da8590df5 100644
--- a/usr.bin/lorder/lorder.sh.gnm
+++ b/usr.bin/lorder/lorder.sh.gnm
@@ -1,5 +1,5 @@
#!/bin/sh -
-# $OpenBSD: lorder.sh.gnm,v 1.7 1997/01/25 21:16:45 deraadt Exp $
+# $OpenBSD: lorder.sh.gnm,v 1.8 1998/09/02 06:40:08 deraadt Exp $
# $NetBSD: lorder.sh.gnm,v 1.3 1995/12/20 04:45:11 cgd Exp $
#
# Copyright (c) 1990, 1993
@@ -60,7 +60,7 @@ fi
umask $um
# remove temporary files on HUP, INT, QUIT, PIPE, TERM
-trap "rm -rf $TDIR; exit 1" 1 2 3 13 15
+trap "rm -rf $TDIR; trap 2 ; kill -2 $$" 1 2 3 13 15
# if the line ends in a colon, assume it's the first occurrence of a new
# object file. Echo it twice, just to make sure it gets into the output.